Subject: Re: 25.0.50; encode-time not working as expected

From: [email-masked] (Ashish SHUKLA)
Date: Thu, 26 Feb 2015 21:33:17 +0530

On Thu, 26 Feb 2015 00:15:52 -0800, Paul Eggert <[email-masked]> said:
| Ashish SHUKLA wrote:
|| When I looked into this before filing this bug report, from what I noticed
|| that it's not using libc's `mktime' function, unlike what you seem to
|| indicate. I'm not sure quite why it's doing that when libc provided mktime
|| works just fine

| It may work for this example, but 'configure' checks for a number of
| mktime bugs, and perhaps mktime is not working for some other
| examples.

| Is 'configure' setting APPLE_UNIVERSAL_BUILD to 1, or to 0?  You can
| tell by looking for APPLE_UNIVERSAL_BUILD in lib/Makefile.

--8<---------------cut here---------------start------------->8---
% fgrep APPLE_UNIVERSAL lib/Makefile
APPLE_UNIVERSAL_BUILD = 0
##            -e 's/@''APPLE_UNIVERSAL_BUILD''@/$(APPLE_UNIVERSAL_BUILD)/g' \
              -e 's/@''APPLE_UNIVERSAL_BUILD''@/$(APPLE_UNIVERSAL_BUILD)/g' \
#             -e 's/@''APPLE_UNIVERSAL_BUILD''@/$(APPLE_UNIVERSAL_BUILD)/g' \
--8<---------------cut here---------------end--------------->8---

| When 'configure' says 'checking for working mktime', what's the result?

--8<---------------cut here---------------start------------->8---
configure:25619: checking for working mktime
configure:25827: clang -o conftest -g -march=corei7  -g -fstack-protector -fno-strict-aliasing   -I/usr/local/include  -L/usr/local/lib -Wl,-rpath=/usr/local/lib -ltinfo -fstack-protector -L/usr/local/lib con
ftest.c   >&5 
configure:25827: $? = 0
configure:25827: ./conftest
configure:25827: $? = 3
configure: program exited with status 3
--8<---------------cut here---------------end--------------->8---

| If you compile and run the attached program, using the same flags that
| you use to build Emacs, what is its exit status?

--8<---------------cut here---------------start------------->8---
emacs-25.0.50.20150206.5c9ad35f/src % clang -o /tmp/mktime-test  -g -march=corei7  -g -fstack-protector -fno-strict-aliasing   -I/usr/local/include  -L/usr/local/lib -Wl,-rpath=/usr/local/lib -ltinfo -fstack-protector -L/usr/local/lib /tmp/mktime-test.c
emacs-25.0.50.20150206.5c9ad35f/src % /tmp/mktime-test 
emacs-25.0.50.20150206.5c9ad35f/src % echo $?
3
--8<---------------cut here---------------end--------------->8---

Thanks!
-- 
Ashish SHUKLA

“The only things certain in life are death, taxes, and accidentally deleted
data.” (bazza)

Sent from my Emacs